cURL
curl --request GET \ --url https://api.example.com/v1/predictions/{prediction_id}
{ "data": { "id": "b8b3e8cb-4c67-40d7-8350-3eac3c2b127d", "created_at": "2025-06-23T15:40:52Z", "population": "af8917b4-a09c-41f9-9c9f-c4c40c1f7415", "status": "Predicted", "population_name": "Developers", "question": "Tech debt or unclear error messages, what's worse?", "simulated_answer_percentages": { "Tech debt": 0.5488, "Unclear error messages": 0.4512 }, "predicted_answer_percentages": { "Tech debt": 0.5488, "Unclear error messages": 0.4512 }, "batch": "1e6bfe22-40d9-46c4-b241-9e1d7d5c5560", "prediction_started_at": "2025-06-23T15:41:02Z", "prediction_finished_at": "2025-06-23T15:43:56Z", "simulation_engine": "answers-1", "public": false, "answer_options": [ "Tech debt", "Unclear error messages" ], "question_options": { "question_type": "single-choice" } }, "errors": [ { "code": "<string>", "message": "<string>" } ] }
Retrieves an answer prediction.
Documentation IndexFetch the complete documentation index at: https://docs.semilattice.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.semilattice.ai/llms.txt
Use this file to discover all available pages before exploring further.
ID of the prediction you want to fetch.
Successful Response
The primary response payload. Contains the result of the request if successful.
Show child attributes
List of structured error messages, if any occurred during the request.